// $Id: themesettings_ui_extras.js,v 1.1 2010/02/12 01:26:37 andrewmacpherson Exp $

/**
 * @file
 * 
 * UI enhancement for Logo and Shortcut icon fields on theme settings pages.
 * Shows the custom path/upload fields when custom logo/favicon display option
 * is selected; otherwise hides these fields. 
 */

Drupal.behaviors.themesettings_ui_extras = function(){
  
  // show-or-hide custom logo fields
  if ($("#edit-logo-display-custom:not('.logo-display-custom-processed')").size()) {
    $("input[@name='logo_display']").change(function(){
      if ($("#edit-logo-display-custom").is(":checked")) {
        //show the hidden divs
        $("#edit-logo-path-wrapper, #edit-logo-upload-wrapper").show("fast");
      }
      else {
        $("#edit-logo-path-wrapper, #edit-logo-upload-wrapper").hide("fast");
      }
    });
    // mark processed, initialize display
    $("#edit-logo-display-custom").addClass('logo-display-custom-processed').change();
  }

  // show-or-hide custom favicon fields
  if ($("#edit-favicon-display-custom:not('.favicon-display-custom-processed')").size()) {
    $("input[@name='favicon_display']").change(function(){
      if ($("#edit-favicon-display-custom").is(":checked")) {
        $("#edit-favicon-path-wrapper, #edit-favicon-upload-wrapper").show("fast");
      }
      else {
        $("#edit-favicon-path-wrapper, #edit-favicon-upload-wrapper").hide("fast");
      }
    });
    // mark processed, initialize display
    $("#edit-favicon-display-custom").addClass('favicon-display-custom-processed').change();
  }
}
