// $Id: themesettings_verticaltabs.js,v 1.1.2.1 2010/02/14 05:18:35 andrewmacpherson Exp $

/**
 * @file
 * 
 * Provides vertical tabs summaries for theme settings form.
 */

// The following line will prevent a JavaScript error if this file is included and vertical tabs are disabled.
Drupal.verticalTabs = Drupal.verticalTabs || {};

Drupal.verticalTabs.theme_settings = function() {
  var vals = [];
  $('.vertical-tabs-theme_settings .form-item').each(function() {
    if ( $('input:checkbox', this).attr('checked') ) {
      var labelname = $('label', this).text();
      vals.push(labelname);
    }
  });
  return vals.join(', ');
}

Drupal.verticalTabs.node_info = function() {
  var vals = [];
  $('.vertical-tabs-node_info .form-item').each(function() {
    if ( $('input:checkbox', this).attr('checked') ) {
      var labelname = $('label', this).text();
      vals.push(labelname);
    }
  });
  return vals.join(', ');
}

Drupal.verticalTabs.logo = function() {
  if ($('#edit-default-logo').size()) {
    if ($('#edit-default-logo').attr('checked')) {
      return(Drupal.t('Default logo'));
    }
    // @todo what if default-logo unchecked and no path?
    else {
      return(Drupal.t('Custom logo'));
    }
  }
}

Drupal.verticalTabs.favicon = function() {
  if ($('#edit-default-favicon').size()) {
    if ($('#edit-default-favicon').attr('checked')) {
      return(Drupal.t('Default shortcut icon'));
    }
    // @todo what if default-favicon unchecked and no path?
    else {
      return(Drupal.t('Custom shortcut icon'));
    }
  }
}

// support for color.module
Drupal.verticalTabs.color = function() {
  if ( $('#edit-scheme').size() ) {
    return $('#edit-scheme option:selected').text();
  }
}
